SET names utf8mb4;

USE Macroniser;

INSERT INTO MarkedWords (marked_word) VALUES
    ('dōg'),('lāx'),('whāle'),('ōstrich');
    
INSERT INTO EntryDates (entry_date) VALUES
    ('2018-01-01'),('2018-02-02'),('2018-03-03'),('2018-04-04');
    
INSERT INTO EntryTimes (entry_time) VALUES
    ('09:00:09'),('10:10:10'),('21:11:11'),('23:23:23');
    
INSERT INTO Occurrences (word_id, time_id, date_id) VALUES
    (1, 1, 1), (2, 2, 2), (3, 3, 3), (1, 4, 1), (4, 4, 4);
    
    
Select o.occurrence_id, mw.marked_word, ed.entry_date, et.entry_time
FROM Occurrences o, MarkedWords mw, EntryDates ed, EntryTimes et
WHERE o.word_id = mw.word_id
AND o.date_id = ed.date_id
AND o.time_id = et.time_id;
